<?php


/*********************
SCRIPTS & ENQUEUEING
*********************/

// loading modernizr and jquery, and reply script
function omg_scripts_and_styles() {

		// modernizr (without media query polyfill)
		wp_register_script( 'omg-modernizr', get_template_directory_uri() . '/library/js/libs/modernizr.custom.min.js', array(), '2.5.3', false );

		// register main stylesheet
		wp_enqueue_style( 'omg-main-stylesheet', get_template_directory_uri() . '/style.css', array(), '', 'all' );
		wp_enqueue_style( 'omg-stylesheet', get_template_directory_uri() . '/library/css/style.css', array(), '', 'all' );
		wp_enqueue_style( 'omg-font', get_template_directory_uri() . '/css/font-awesome.css', array(), '', 'all' );
		
	    // comment reply script for threaded comments
	    if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1)) {
			  wp_enqueue_script( 'comment-reply' );
	    }

		//adding scripts file in the footer
		wp_register_script( 'omg-js', get_template_directory_uri() . '/library/js/scripts.js', array(), '', true );
		wp_register_script( 'omg-js-scripts-home', get_template_directory_uri() . '/library/js/scripts-home.js', array(), '', true );

		wp_register_script( 'imagesloaded', get_template_directory_uri() . '/library/js/imagesloaded.pkgd.js', array(), '', true);
		wp_register_script( 'cycle2', get_template_directory_uri() . '/library/js/jquery.cycle2.js', array(), '', true );
		wp_register_script( 'cycle2_tile', get_template_directory_uri() . '/library/js/jquery.cycle2.tile.js' , array(), '', true);
		wp_register_script( 'cycle2_shuffle', get_template_directory_uri() . '/library/js/jquery.cycle2.shuffle.js', array(), '', true );
		wp_register_script( 'cycle2_scrollvert', get_template_directory_uri() . '/library/js/jquery.cycle2.scrollVert.js', array(), '', true );

		// enqueue styles and scripts
		wp_enqueue_script( 'omg-modernizr' );
		wp_enqueue_script( 'jquery-effects-core ');
		wp_enqueue_script( 'jquery-effects-slide');
		wp_enqueue_script( 'omg-js' );

		if(is_page_template('template-home.php')) {
			wp_enqueue_script( 'cycle2' );
			wp_enqueue_script( 'cycle2_tile' );
			wp_enqueue_script( 'cycle2_shuffle' );
			wp_enqueue_script( 'cycle2_scrollvert' );
		}
		if ( is_home() || is_front_page() || is_page_template('template-home.php')) {
			wp_enqueue_script( 'jquery-masonry' );
			wp_enqueue_script( 'imagesloaded' );
			wp_enqueue_script( 'omg-js-scripts-home' );
		}

}
/*********************
THEME SUPPORT
*********************/

// Adding WP 3+ Functions & Theme Support
function omg_theme_support() {

	// wp thumbnails (sizes handled in functions.php)
	add_theme_support( 'post-thumbnails' );
	add_editor_style(get_stylesheet_directory_uri(). '/library/css/editor-style.css');
	// default thumb size
	set_post_thumbnail_size(125, 125, true);


	add_theme_support( 'custom-background',
	    array(
	    'default-image' => '',    // background image default
	    'default-color' => 'ffffff',    // background color default (dont add the #)
	    'wp-head-callback' => '_custom_background_cb',
	    'admin-head-callback' => '',
	    'admin-preview-callback' => ''
	    )
	);

	// rss thingy
	add_theme_support('automatic-feed-links');

	// adding post format support
	add_theme_support( 'post-formats',
		array(
			'aside',             // title less blurb
			'gallery',           // gallery of images
			'link',              // quick link to other site
			'image',             // an image
			'quote',             // a quick quote
			'status',            // a Facebook like status update
			'video',             // video
			'audio',             // audio
			'chat'               // chat transcript
		)
	);

	add_theme_support( 'title-tag' );

	register_nav_menus(
	    array(
	    'social-nav' => __( 'Social Media Links', 'omg' ),
	    )
    );

    add_theme_support( 'custom-logo', array(
		'height'      => 40,
		'width'       => 350,
		'flex-width'  => true,
	) );

} /* end omg theme support */


/*********************
RELATED POSTS FUNCTION
*********************/

// Related Posts Function (call using omg_related_posts(); )
function omg_related_posts() {
	echo '<ul id="omg-related-posts">';
	global $post;
	$tags = wp_get_post_tags( $post->ID );
	if($tags) {
		foreach( $tags as $tag ) {
			$tag_arr = "";
			$tag_arr .= $tag->slug . ',';
		}
		$args = array(
			'tag' => $tag_arr,
			'numberposts' => 5, /* you can change this to show more */
			'post__not_in' => array($post->ID)
		);
		$related_posts = get_posts( $args );
		if($related_posts) {
			foreach ( $related_posts as $post ) : setup_postdata( $post ); ?>
				<li class="related_post"><a class="entry-unrelated" href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
			<?php endforeach; }
		else { ?>
			<?php echo '<li class="no_related_post">' . __( 'No Related Posts Yet!', 'omg' ) . '</li>'; ?>
		<?php }
	}
	wp_reset_postdata();
	echo '</ul>';
} /* end omg related posts function */

/*********************
PAGE NAVI
*********************/

// Numeric Page Navi (built into the theme by default)
function omg_page_navi() {
  global $wp_query, $paged;
  $bignum = 999999999;
  if ( $wp_query->max_num_pages <= 1 )
    return;
  echo '<nav class="pagination">';
  echo paginate_links( array(
    'base'         => str_replace( $bignum, '%#%', esc_url( get_pagenum_link($bignum) ) ),
    'format'       => '',
    'current'      => max( 1, get_query_var('paged') ),
    'total'        => $wp_query->max_num_pages,
    'prev_text'    => '<i class="fa fa-chevron-left"></i>',
    'next_text'    => '<i class="fa fa-chevron-right"></i>',
    'type'         => 'list',
    'end_size'     => 3,
    'mid_size'     => 3
  ) );
  echo '</nav>';
} /* end page navi */

/*********************
RANDOM CLEANUP ITEMS
*********************/

// This removes the annoying […] to a Read More link
function omg_excerpt_more($more) {
	global $post;
	// edit here if you like
	return '...  <a class="excerpt-read-more" href="'. get_permalink($post->ID) . '" title="'. __( 'Read ', 'omg' ) . get_the_title($post->ID).'">'. __( 'Read more &raquo;', 'omg' ) .'</a>';
}